Snapshot.Debian.Org è un archivio dove sono disponibili tutte le versioni dei pacchetti; è possibile ricercare un determinato pacchetto o una libreria in qualsiasi versione a partire dal nome od esplorare i pacchetti a partire da una data precisa. Nella schermata sotto ho cercato la libreria “gtk2-engines-murrine”, che serve per i temi GTK (come Ambiance), e sono apparse le diverse versioni pubblicate del pacchetto, dalla più vecchia a quella più recente. Nella seconda schermata ho esplorato l’archivio per data. Utile quando si cerca una specifica versione di una libreria. Ed esempio: cercate un pacchetto più aggiornato per la vostra Debian Stable, ma non troppo, visto che Testing e Unstable si aggiornano frequentemente? 

Cercate una determinata versione di un pacchetto, diciamo di una Testing di 8 mesi fa in quella determinata settimana o giorno? Su questo portale è possibile. Un’altra utile risorsa di Debian.

Ecco il link: snapshot.debian.org/

  • Nereo M.

    ottimo servizio (personalmente non lo conoscevo)
    in teoria se non ho capito male posso scaricare per esepio il pacchetto di mplayer nella versione di marzo 2011? oppure mi da il pacchetto nella versione più recente per stable, testing e sid?
    grazie e complimenti ancora per la nuova rubrica su debian

    • Marco Pagliaro

      Si, puoi scaricare i pacchetti nella versione e nella data che vuoi.

  • non lo conoscevo 🙂
    grazie marco per la guida e per avermi fatto scoprire questo servizio 🙂

  • telperion

    Usato parecchie volte per downgradare qualche pacchetto “problematico” in SID.

  • drake762001

    Ma come si fa per eventuali dipendenze? Ad esempio ho una stable e vorrei un pacchetto di un programma piu’ aggiornato?
    Te lo chiedo perche’ vorrei mettere su un desktop con la stable e aggiornare solo qualche software (ma non i pacchetti fondamentali ovviamente) e sto cercando di capire se c’e’ un modo. Francamente mi sono stufato di imbattermi in bug, sono due giorni che combatto con oneiric, un proxy aziendale e il gnome-language-selector … e scopro che ci sono due bug aperti e riconosciuti da un anno!

    • Papayaman

       se si tratta di un solo pacchetto beh allora aggiungi al tuo /etc/apt/sources.list i repository di debian testing e dai
      apt-get update
      aptitude install nomepacchetto da aggiornare
      e lui ti proporrà tutte le soluzioni possibili per gestir le dipendenze
      uyna volta fatto prendi rimuovi i repository testing dal tuo sources.list e ridai apt-get update
      se invece ti capita spesso di dover aggiornare solo alcuni pacchetti , in questo caso ti conviene l’apt-pinning http://guide.debianizzati.org/index.php/APT_uso_avanzato:_mixare_releases_diverse.

      • drake762001

         Si, il pinning l’ho usato in passato, ma dopo un po, se cominci ad installarci troppa roba, son dolori. Speravo di trovare un archivio dove, se dovesse servire, potevo trovare dei pacchetti già pronti per Squeeze. Peccato, ora sto impazzendo con icedove, visto che su mozilla-debian è sparito il pacchetto della 5.0 e l’unica versione che trovo è la 3!

No more articles